
require 'rbconfig'
require 'fileutils'
require 'optparse'

dlldir = nil
option = { :noop => false, :verbose => true }

ARGV.options do |opt|
  opt.on('--dlldir DIR'){|dir| dlldir = dir}
  opt.on('--no-harm'){ option[:noop] = true }
  opt.on('--quiet'){ option[:verbose] = false }

  opt.parse!
end

dlldir    ||= Config::CONFIG["bindir"]
sitelibdir  = Config::CONFIG["sitelibdir"]
sitearchdir = Config::CONFIG["sitearchdir"]
datadir     = Config::CONFIG["datadir"]
mygame_sitelibdir = File.join(sitelibdir, 'mygame')
mygame_datadir    = File.join(datadir, 'mygame')

FileUtils.mkpath(dlldir, option) 
FileUtils.mkpath(sitelibdir, option)
FileUtils.mkpath(sitearchdir, option)
FileUtils.mkpath(mygame_sitelibdir, option)
FileUtils.mkpath(datadir, option)
FileUtils.mkpath(mygame_datadir, option)

Dir.glob("lib/*.rb"){|fname| FileUtils.install(fname, sitelibdir, option)}
Dir.glob("lib/mygame/*.rb"){|fname| FileUtils.install(fname, mygame_sitelibdir, option)}
Dir.glob("fonts/*.ttf"){|fname| FileUtils.install(fname, mygame_datadir, option)}

# for rubysdl-mswin32
Dir.glob("rubysdl*/dll/*.dll"){|fname| FileUtils.install(fname, dlldir, option)}
Dir.glob("rubysdl*/ext/*.so"){|fname| FileUtils.install(fname, sitearchdir, option)}
Dir.glob("rubysdl*/lib/*.rb"){|fname| FileUtils.install(fname, sitelibdir, option)}
